Skip to main content
POST
/
api
/
v1
/
workspaces
/
{workspace_id}
/
billing
/
change-plan
Change Plan
curl --request POST \
  --url https://api.example.com/api/v1/workspaces/{workspace_id}/billing/change-plan \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "plan": "team",
  "member_ids_to_evict": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ],
  "promotion_code": "<string>"
}
'
{
  "plan": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.riftmap.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-Key
string
header
required

Headers

X-Workspace-Id
string | null

Path Parameters

workspace_id
string<uuid>
required

Cookies

riftmap_access
string | null

Body

application/json
plan
enum<string>
required
Available options:
team,
business
member_ids_to_evict
string<uuid>[] | null
promotion_code
string | null

Response

Successful Response

plan
string
required